Schedules API

Attach dayparts and date-bounded windows to scenes.

Updated May 18, 2026·3 min read

Attach a schedule to a scene

Shell
curl -X POST https://api.menupi.com/v1/scenes/sc_K9V3.../schedules \
  -H "Authorization: Bearer mpi_live_••••••" \
  -d '{
    "type": "daypart",
    "days": ["mon","tue","wed","thu","fri"],
    "start": "06:00",
    "end": "10:30",
    "timezone": "location"
  }'

Date-bounded LTO

Shell
curl -X POST https://api.menupi.com/v1/scenes/sc_LTO9.../schedules \
  -H "Authorization: Bearer mpi_live_••••••" \
  -d '{
    "type": "window",
    "startsAt": "2026-10-01T00:00:00",
    "endsAt": "2026-11-15T23:59:59",
    "timezone": "location"
  }'

Remove a schedule

HTTP
DELETE https://api.menupi.com/v1/schedules/{scheduleId}

Endpoint summary

MethodPathSummary
POST/scenes/{id}/schedulesAttach a daypart or window to a scene.
DELETE/schedules/{id}Remove a schedule.